<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaCatalogueDataResponse StructType
 * @subpackage Structs
 */
class VisaCatalogueDataResponse extends AbstractStructBase
{
    /**
     * The CatalogueDataRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CatalogueDataRS;
    /**
     * Constructor method for VisaCatalogueDataResponse
     * @uses VisaCatalogueDataResponse::setCatalogueDataRS()
     * @param \StructType\JP_StaticDataRS $catalogueDataRS
     */
    public function __construct(\StructType\JP_StaticDataRS $catalogueDataRS = null)
    {
        $this
            ->setCatalogueDataRS($catalogueDataRS);
    }
    /**
     * Get CatalogueDataRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCatalogueDataRS()
    {
        return $this->CatalogueDataRS;
    }
    /**
     * Set CatalogueDataRS value
     * @param \StructType\JP_StaticDataRS $catalogueDataRS
     * @return \StructType\VisaCatalogueDataResponse
     */
    public function setCatalogueDataRS(\StructType\JP_StaticDataRS $catalogueDataRS = null)
    {
        $this->CatalogueDataRS = $catalogueDataRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaCatalogueDataResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
